#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(the_lnet, "", "");
KSYMTAB_DATA(lnet_interfaces_max, "", "");
KSYMTAB_FUNC(lnet_get_lnd_timeout, "", "");
KSYMTAB_FUNC(lnet_register_lnd, "", "");
KSYMTAB_FUNC(lnet_unregister_lnd, "", "");
KSYMTAB_FUNC(lnet_counters_get_common, "", "");
KSYMTAB_FUNC(lnet_counters_get, "", "");
KSYMTAB_FUNC(lnet_net2ni_addref, "", "");
KSYMTAB_FUNC(lnet_nid2cpt, "", "");
KSYMTAB_FUNC(lnet_cpt_of_nid, "", "");
KSYMTAB_FUNC(lnet_nid_to_ni_addref, "", "");
KSYMTAB_FUNC(lnet_genl_send_scalar_list, "", "");
KSYMTAB_FUNC(LNetNIInit, "", "");
KSYMTAB_FUNC(LNetNIFini, "", "");
KSYMTAB_FUNC(LNetRegisterNIDUpdates, "", "");
KSYMTAB_FUNC(LNetUnRegisterNIDUpdates, "", "");
KSYMTAB_FUNC(lnet_mark_ping_buffer_for_update, "", "");
KSYMTAB_FUNC(LNetCtl, "", "");
KSYMTAB_FUNC(LNetDebugPeer, "", "");
KSYMTAB_FUNC(LNetIsPeerLocal, "", "");
KSYMTAB_FUNC(LNetFetchNIDs, "", "");
KSYMTAB_FUNC(LNetGetId, "", "");
KSYMTAB_FUNC(lnet_discover_nid_metadata, "", "");
KSYMTAB_FUNC(LNetGetPeerDiscoveryStatus, "", "");
KSYMTAB_FUNC(lnet_ni_add_interface, "", "");
KSYMTAB_FUNC(lnet_set_link_fatal_state, "", "");
KSYMTAB_FUNC(lnet_get_link_status_locked, "", "");
KSYMTAB_FUNC(lnet_get_link_status, "", "");
KSYMTAB_FUNC(lnet_inet_select, "", "");
KSYMTAB_FUNC(libcfs_next_nidstring, "", "");
KSYMTAB_FUNC(cfs_expr_list_values, "", "");
KSYMTAB_FUNC(cfs_expr_list_free, "", "");
KSYMTAB_FUNC(cfs_expr_list_parse, "", "");
KSYMTAB_FUNC(cfs_free_nidlist, "", "");
KSYMTAB_FUNC(cfs_parse_nidlist, "", "");
KSYMTAB_FUNC(cfs_match_nid, "", "");
KSYMTAB_FUNC(cfs_print_nidlist, "", "");
KSYMTAB_FUNC(cfs_nidmask_get_length, "", "");
KSYMTAB_FUNC(cfs_nidmask_get_base_nidstr, "", "");
KSYMTAB_FUNC(cfs_match_nid_net, "", "");
KSYMTAB_FUNC(libcfs_isknown_lnd, "", "");
KSYMTAB_FUNC(libcfs_lnd2modname, "", "");
KSYMTAB_FUNC(libcfs_str2lnd, "", "");
KSYMTAB_FUNC(libcfs_lnd2str_r, "", "");
KSYMTAB_FUNC(libcfs_net2str_r, "", "");
KSYMTAB_FUNC(libcfs_nid2str_r, "", "");
KSYMTAB_FUNC(libcfs_nidstr_r, "", "");
KSYMTAB_FUNC(libcfs_str2net, "", "");
KSYMTAB_FUNC(libcfs_str2nid, "", "");
KSYMTAB_FUNC(libcfs_strnid, "", "");
KSYMTAB_FUNC(libcfs_id2str, "", "");
KSYMTAB_FUNC(libcfs_idstr, "", "");
KSYMTAB_FUNC(libcfs_strid, "", "");
KSYMTAB_FUNC(libcfs_str2anynid, "", "");
KSYMTAB_FUNC(libcfs_stranynid, "", "");
KSYMTAB_FUNC(lustre_v1_register_nvfs_dma_ops, "_gpl", "");
KSYMTAB_FUNC(lustre_v1_unregister_nvfs_dma_ops, "_gpl", "");
KSYMTAB_FUNC(lnet_get_dev_prio, "", "");
KSYMTAB_FUNC(lnet_rdma_map_sg_attrs, "", "");
KSYMTAB_FUNC(lnet_rdma_unmap_sg, "", "");
KSYMTAB_FUNC(lnet_is_rdma_only_page, "", "");
KSYMTAB_FUNC(cfs_percpt_lock_free, "", "");
KSYMTAB_FUNC(cfs_percpt_lock_create, "", "");
KSYMTAB_FUNC(cfs_percpt_lock, "", "");
KSYMTAB_FUNC(cfs_percpt_unlock, "", "");
KSYMTAB_FUNC(LNetMEAttach, "", "");
KSYMTAB_FUNC(lnet_send_error_simulation, "", "");
KSYMTAB_FUNC(lnet_finalize, "", "");
KSYMTAB_FUNC(lnet_assert_handler_unused, "", "");
KSYMTAB_FUNC(LNetMDAttach, "", "");
KSYMTAB_FUNC(LNetMDBind, "", "");
KSYMTAB_FUNC(LNetMDUnlink, "", "");
KSYMTAB_FUNC(LNetSetLazyPortal, "", "");
KSYMTAB_FUNC(LNetClearLazyPortal, "", "");
KSYMTAB_FUNC(lnet_sock_write, "", "");
KSYMTAB_FUNC(lnet_sock_read, "", "");
KSYMTAB_FUNC(choose_ipv4_src, "", "");
KSYMTAB_FUNC(lnet_sock_setbuf, "", "");
KSYMTAB_FUNC(lnet_sock_getaddr, "", "");
KSYMTAB_FUNC(lnet_sock_getbuf, "", "");
KSYMTAB_FUNC(lnet_inet_enumerate, "", "");
KSYMTAB_FUNC(lnet_iov_nob, "", "");
KSYMTAB_FUNC(lnet_copy_iov2iov, "", "");
KSYMTAB_FUNC(lnet_kiov_nob, "", "");
KSYMTAB_FUNC(lnet_copy_kiov2kiov, "", "");
KSYMTAB_FUNC(lnet_copy_kiov2iov, "", "");
KSYMTAB_FUNC(lnet_copy_iov2kiov, "", "");
KSYMTAB_FUNC(lnet_extract_kiov, "", "");
KSYMTAB_FUNC(lnet_msgtyp2str, "", "");
KSYMTAB_FUNC(lnet_parse, "", "");
KSYMTAB_FUNC(LNetPut, "", "");
KSYMTAB_FUNC(lnet_create_reply_msg, "", "");
KSYMTAB_FUNC(lnet_set_reply_msg_len, "", "");
KSYMTAB_FUNC(LNetGet, "", "");
KSYMTAB_FUNC(LNetDist, "", "");
KSYMTAB_DATA(lnet_ioctl_list, "", "");
KSYMTAB_FUNC(lnet_notify, "", "");
KSYMTAB_FUNC(lnet_acceptor_port, "", "");
KSYMTAB_FUNC(lnet_acceptor_port_bulk, "", "");
KSYMTAB_FUNC(lnet_acceptor_timeout, "", "");
KSYMTAB_FUNC(lnet_connect_console_error, "", "");
KSYMTAB_FUNC(lnet_acceptor_add_sockets, "", "");
KSYMTAB_FUNC(lnet_acceptor_remove_sockets, "", "");
KSYMTAB_FUNC(lnet_connect, "", "");
KSYMTAB_FUNC(LNetAddPeer, "", "");
KSYMTAB_FUNC(LNetHasLocalNet, "", "");
KSYMTAB_FUNC(LNetLocalPrimaryNID, "", "");
KSYMTAB_FUNC(LNetPrimaryNID, "", "");
KSYMTAB_FUNC(LNetPeerDiscovered, "", "");
KSYMTAB_DATA(cfs_crypto_hash_speeds, "", "");
KSYMTAB_FUNC(cfs_crypto_hash_digest, "", "");
KSYMTAB_FUNC(cfs_crypto_hash_init, "", "");
KSYMTAB_FUNC(cfs_crypto_hash_update_page, "", "");
KSYMTAB_FUNC(cfs_crypto_hash_update, "", "");
KSYMTAB_FUNC(cfs_crypto_hash_final, "", "");
KSYMTAB_FUNC(cfs_crypto_hash_speed, "", "");
KSYMTAB_DATA(cfs_cpt_tab, "", "");
KSYMTAB_FUNC(cfs_cpt_table_alloc, "", "");
KSYMTAB_FUNC(cfs_cpt_table_free, "", "");
KSYMTAB_FUNC(cfs_cpt_table_print, "", "");
KSYMTAB_FUNC(cfs_cpt_distance_print, "", "");
KSYMTAB_FUNC(cfs_cpt_number, "", "");
KSYMTAB_FUNC(cfs_cpt_weight, "", "");
KSYMTAB_FUNC(cfs_cpt_online, "", "");
KSYMTAB_FUNC(cfs_cpt_cpumask, "", "");
KSYMTAB_FUNC(cfs_cpt_nodemask, "", "");
KSYMTAB_FUNC(cfs_cpt_distance, "", "");
KSYMTAB_FUNC(cfs_cpt_set_cpu, "", "");
KSYMTAB_FUNC(cfs_cpt_unset_cpu, "", "");
KSYMTAB_FUNC(cfs_cpt_set_cpumask, "", "");
KSYMTAB_FUNC(cfs_cpt_unset_cpumask, "", "");
KSYMTAB_FUNC(cfs_cpt_set_node, "", "");
KSYMTAB_FUNC(cfs_cpt_unset_node, "", "");
KSYMTAB_FUNC(cfs_set_node_core, "", "");
KSYMTAB_FUNC(cfs_unset_node_core, "", "");
KSYMTAB_FUNC(cfs_set_cpt_core, "", "");
KSYMTAB_FUNC(cfs_unset_cpt_core, "", "");
KSYMTAB_FUNC(cfs_cpt_set_nodemask, "", "");
KSYMTAB_FUNC(cfs_cpt_unset_nodemask, "", "");
KSYMTAB_FUNC(cfs_cpt_spread_node, "", "");
KSYMTAB_FUNC(cfs_cpt_current, "", "");
KSYMTAB_FUNC(cfs_cpt_of_cpu, "", "");
KSYMTAB_FUNC(cfs_cpt_of_node, "", "");
KSYMTAB_FUNC(cfs_cpt_bind, "", "");
KSYMTAB_FUNC(cfs_percpt_free, "", "");
KSYMTAB_FUNC(cfs_percpt_alloc, "", "");
KSYMTAB_FUNC(cfs_percpt_number, "", "");

SYMBOL_CRC(the_lnet, 0xc86b02e7, "");
SYMBOL_CRC(lnet_interfaces_max, 0xd7da614b, "");
SYMBOL_CRC(lnet_get_lnd_timeout, 0x43d7f637, "");
SYMBOL_CRC(lnet_register_lnd, 0x2d3fb7b8, "");
SYMBOL_CRC(lnet_unregister_lnd, 0x0b760c6c, "");
SYMBOL_CRC(lnet_counters_get_common, 0xb200ed4e, "");
SYMBOL_CRC(lnet_counters_get, 0x25bb0d49, "");
SYMBOL_CRC(lnet_net2ni_addref, 0x003cc9ac, "");
SYMBOL_CRC(lnet_nid2cpt, 0x03f4fefc, "");
SYMBOL_CRC(lnet_cpt_of_nid, 0x7601ab39, "");
SYMBOL_CRC(lnet_nid_to_ni_addref, 0xef88ce30, "");
SYMBOL_CRC(lnet_genl_send_scalar_list, 0x232a5311, "");
SYMBOL_CRC(LNetNIInit, 0x19670622, "");
SYMBOL_CRC(LNetNIFini, 0x3f4f5b46, "");
SYMBOL_CRC(LNetRegisterNIDUpdates, 0x8cea3924, "");
SYMBOL_CRC(LNetUnRegisterNIDUpdates, 0xccaf1b08, "");
SYMBOL_CRC(lnet_mark_ping_buffer_for_update, 0x67d61ed3, "");
SYMBOL_CRC(LNetCtl, 0x64cdea3a, "");
SYMBOL_CRC(LNetDebugPeer, 0xb5a597de, "");
SYMBOL_CRC(LNetIsPeerLocal, 0x0e6b1beb, "");
SYMBOL_CRC(LNetFetchNIDs, 0x69ae435c, "");
SYMBOL_CRC(LNetGetId, 0xa09b23c0, "");
SYMBOL_CRC(lnet_discover_nid_metadata, 0x8ff7b535, "");
SYMBOL_CRC(LNetGetPeerDiscoveryStatus, 0x75f62c94, "");
SYMBOL_CRC(lnet_ni_add_interface, 0x2054ede4, "");
SYMBOL_CRC(lnet_set_link_fatal_state, 0xfa2373ef, "");
SYMBOL_CRC(lnet_get_link_status_locked, 0xd179d2db, "");
SYMBOL_CRC(lnet_get_link_status, 0x9ac7e339, "");
SYMBOL_CRC(lnet_inet_select, 0xc885ceb5, "");
SYMBOL_CRC(libcfs_next_nidstring, 0xade657cc, "");
SYMBOL_CRC(cfs_expr_list_values, 0x53a05faa, "");
SYMBOL_CRC(cfs_expr_list_free, 0x5c013b81, "");
SYMBOL_CRC(cfs_expr_list_parse, 0x23cd4262, "");
SYMBOL_CRC(cfs_free_nidlist, 0xccc45639, "");
SYMBOL_CRC(cfs_parse_nidlist, 0x1a60d439, "");
SYMBOL_CRC(cfs_match_nid, 0xcc9a68f7, "");
SYMBOL_CRC(cfs_print_nidlist, 0xcf4eb544, "");
SYMBOL_CRC(cfs_nidmask_get_length, 0x002da4ab, "");
SYMBOL_CRC(cfs_nidmask_get_base_nidstr, 0xdbb2dc95, "");
SYMBOL_CRC(cfs_match_nid_net, 0x5281a450, "");
SYMBOL_CRC(libcfs_isknown_lnd, 0xfe7ca17c, "");
SYMBOL_CRC(libcfs_lnd2modname, 0x97f5966b, "");
SYMBOL_CRC(libcfs_str2lnd, 0xf94025d1, "");
SYMBOL_CRC(libcfs_lnd2str_r, 0x36bd4d04, "");
SYMBOL_CRC(libcfs_net2str_r, 0xcae2cae3, "");
SYMBOL_CRC(libcfs_nid2str_r, 0xbc17a1f4, "");
SYMBOL_CRC(libcfs_nidstr_r, 0x1f692f80, "");
SYMBOL_CRC(libcfs_str2net, 0x50345570, "");
SYMBOL_CRC(libcfs_str2nid, 0xec1f56d5, "");
SYMBOL_CRC(libcfs_strnid, 0xa30d14a3, "");
SYMBOL_CRC(libcfs_id2str, 0xbc320a1f, "");
SYMBOL_CRC(libcfs_idstr, 0x086ba605, "");
SYMBOL_CRC(libcfs_strid, 0x557a3d25, "");
SYMBOL_CRC(libcfs_str2anynid, 0x48f163c6, "");
SYMBOL_CRC(libcfs_stranynid, 0xcd5dd729, "");
SYMBOL_CRC(lustre_v1_register_nvfs_dma_ops, 0xaa98ae14, "_gpl");
SYMBOL_CRC(lustre_v1_unregister_nvfs_dma_ops, 0xccf1c8d2, "_gpl");
SYMBOL_CRC(lnet_get_dev_prio, 0xb8b3098a, "");
SYMBOL_CRC(lnet_rdma_map_sg_attrs, 0x8e30d81f, "");
SYMBOL_CRC(lnet_rdma_unmap_sg, 0x22154681, "");
SYMBOL_CRC(lnet_is_rdma_only_page, 0xf3d3174a, "");
SYMBOL_CRC(cfs_percpt_lock_free, 0x74fd190c, "");
SYMBOL_CRC(cfs_percpt_lock_create, 0x938d8126, "");
SYMBOL_CRC(cfs_percpt_lock, 0x43ba0c7d, "");
SYMBOL_CRC(cfs_percpt_unlock, 0x5288ba74, "");
SYMBOL_CRC(LNetMEAttach, 0x8ac9be95, "");
SYMBOL_CRC(lnet_send_error_simulation, 0x73855042, "");
SYMBOL_CRC(lnet_finalize, 0x89499c73, "");
SYMBOL_CRC(lnet_assert_handler_unused, 0xfc5b9135, "");
SYMBOL_CRC(LNetMDAttach, 0x2c5d094b, "");
SYMBOL_CRC(LNetMDBind, 0xa151d9f5, "");
SYMBOL_CRC(LNetMDUnlink, 0x8081b276, "");
SYMBOL_CRC(LNetSetLazyPortal, 0x1366b7ac, "");
SYMBOL_CRC(LNetClearLazyPortal, 0x61f784b2, "");
SYMBOL_CRC(lnet_sock_write, 0x83b22d35, "");
SYMBOL_CRC(lnet_sock_read, 0x0a02ff11, "");
SYMBOL_CRC(choose_ipv4_src, 0x863ca15a, "");
SYMBOL_CRC(lnet_sock_setbuf, 0xd73b86b0, "");
SYMBOL_CRC(lnet_sock_getaddr, 0xd1699d6a, "");
SYMBOL_CRC(lnet_sock_getbuf, 0x6cc33de0, "");
SYMBOL_CRC(lnet_inet_enumerate, 0xbd448062, "");
SYMBOL_CRC(lnet_iov_nob, 0xf5dc6337, "");
SYMBOL_CRC(lnet_copy_iov2iov, 0xb20da2b1, "");
SYMBOL_CRC(lnet_kiov_nob, 0xf01110ad, "");
SYMBOL_CRC(lnet_copy_kiov2kiov, 0x986e1701, "");
SYMBOL_CRC(lnet_copy_kiov2iov, 0x34c8ca73, "");
SYMBOL_CRC(lnet_copy_iov2kiov, 0x7f38a4c3, "");
SYMBOL_CRC(lnet_extract_kiov, 0xb8393e5e, "");
SYMBOL_CRC(lnet_msgtyp2str, 0x1b191752, "");
SYMBOL_CRC(lnet_parse, 0x475e5514, "");
SYMBOL_CRC(LNetPut, 0x785e4d94, "");
SYMBOL_CRC(lnet_create_reply_msg, 0x53265d2c, "");
SYMBOL_CRC(lnet_set_reply_msg_len, 0xee9818d4, "");
SYMBOL_CRC(LNetGet, 0x93221e79, "");
SYMBOL_CRC(LNetDist, 0xd35f9d8a, "");
SYMBOL_CRC(lnet_ioctl_list, 0x95fe8ded, "");
SYMBOL_CRC(lnet_notify, 0xe4b8a6af, "");
SYMBOL_CRC(lnet_acceptor_port, 0xba5566d2, "");
SYMBOL_CRC(lnet_acceptor_port_bulk, 0xca976e81, "");
SYMBOL_CRC(lnet_acceptor_timeout, 0x5fee352c, "");
SYMBOL_CRC(lnet_connect_console_error, 0xdb6b9604, "");
SYMBOL_CRC(lnet_acceptor_add_sockets, 0x1584e0c5, "");
SYMBOL_CRC(lnet_acceptor_remove_sockets, 0xbec920e9, "");
SYMBOL_CRC(lnet_connect, 0x26962190, "");
SYMBOL_CRC(LNetAddPeer, 0xb209ae1c, "");
SYMBOL_CRC(LNetHasLocalNet, 0xdf74566f, "");
SYMBOL_CRC(LNetLocalPrimaryNID, 0xf2faae5b, "");
SYMBOL_CRC(LNetPrimaryNID, 0x2998f7e4, "");
SYMBOL_CRC(LNetPeerDiscovered, 0x2855c34a, "");
SYMBOL_CRC(cfs_crypto_hash_speeds, 0x8006d24c, "");
SYMBOL_CRC(cfs_crypto_hash_digest, 0xafc8bb49, "");
SYMBOL_CRC(cfs_crypto_hash_init, 0x72890574, "");
SYMBOL_CRC(cfs_crypto_hash_update_page, 0x77a561eb, "");
SYMBOL_CRC(cfs_crypto_hash_update, 0xf60a413c, "");
SYMBOL_CRC(cfs_crypto_hash_final, 0x0af143c0, "");
SYMBOL_CRC(cfs_crypto_hash_speed, 0x75fd2718, "");
SYMBOL_CRC(cfs_cpt_tab, 0x4d2e72df, "");
SYMBOL_CRC(cfs_cpt_table_alloc, 0x6907ae40, "");
SYMBOL_CRC(cfs_cpt_table_free, 0xcad8a6b8, "");
SYMBOL_CRC(cfs_cpt_table_print, 0xf1c2d805, "");
SYMBOL_CRC(cfs_cpt_distance_print, 0xfb4cdd14, "");
SYMBOL_CRC(cfs_cpt_number, 0x2a395a24, "");
SYMBOL_CRC(cfs_cpt_weight, 0x58502a26, "");
SYMBOL_CRC(cfs_cpt_online, 0xe094b7c8, "");
SYMBOL_CRC(cfs_cpt_cpumask, 0xeb32de61, "");
SYMBOL_CRC(cfs_cpt_nodemask, 0xd3be1a72, "");
SYMBOL_CRC(cfs_cpt_distance, 0x2cbe29e2, "");
SYMBOL_CRC(cfs_cpt_set_cpu, 0xe2d603ea, "");
SYMBOL_CRC(cfs_cpt_unset_cpu, 0x759e93f6, "");
SYMBOL_CRC(cfs_cpt_set_cpumask, 0x4ea671ed, "");
SYMBOL_CRC(cfs_cpt_unset_cpumask, 0x0b8c44c2, "");
SYMBOL_CRC(cfs_cpt_set_node, 0x1ca1e8b2, "");
SYMBOL_CRC(cfs_cpt_unset_node, 0x0837fc6d, "");
SYMBOL_CRC(cfs_set_node_core, 0x070c7987, "");
SYMBOL_CRC(cfs_unset_node_core, 0xaa8b1aab, "");
SYMBOL_CRC(cfs_set_cpt_core, 0xf391822b, "");
SYMBOL_CRC(cfs_unset_cpt_core, 0x137ae841, "");
SYMBOL_CRC(cfs_cpt_set_nodemask, 0xde5f7db5, "");
SYMBOL_CRC(cfs_cpt_unset_nodemask, 0x75cb6ad9, "");
SYMBOL_CRC(cfs_cpt_spread_node, 0xec70b23b, "");
SYMBOL_CRC(cfs_cpt_current, 0xabc1e7f0, "");
SYMBOL_CRC(cfs_cpt_of_cpu, 0xb12499e7, "");
SYMBOL_CRC(cfs_cpt_of_node, 0x0b65ef8f, "");
SYMBOL_CRC(cfs_cpt_bind, 0xd68f41ae, "");
SYMBOL_CRC(cfs_percpt_free, 0xe3bf6897, "");
SYMBOL_CRC(cfs_percpt_alloc, 0x5511f09e, "");
SYMBOL_CRC(cfs_percpt_number, 0x0f5eff79, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2ccaa01d, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x98c178d2, "completion_done" },
	{ 0xa7cd6684, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x912047d4, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2a1fb052, "__nlmsg_put" },
	{ 0xa97d5989, "param_ops_uint" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0x885606b1, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x85f4467a, "libcfs_debug_mark_buffer" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7fda989d, "cfs_fail_loc" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xebb07b4b, "kernel_bind" },
	{ 0xbfc97bdc, "up" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0xf9a61711, "lbug_with_loc" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xf8a01421, "crypto_ahash_setkey" },
	{ 0x2aecff97, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x330557ec, "libcfs_debug_msg" },
	{ 0xcf61bacb, "__cfs_fail_check_set" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1c4696ac, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xfeb4a98b, "rpc_pton" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x41c336de, "kernel_accept" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xfd4ebec, "kernel_recvmsg" },
	{ 0xab4d4ce3, "kmem_cache_create" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9f82f712, "cfs_trace_copyout_string" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59262f45, "wake_up_process" },
	{ 0xa44c65ab, "libcfs_setup" },
	{ 0x73b7c3b4, "libcfs_debug_clear_buffer" },
	{ 0x4228cb24, "crypto_destroy_tfm" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x95272c60, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x22f5cac6, "kmalloc_node_trace" },
	{ 0x5a7d3a7a, "__alloc_skb" },
	{ 0x33b84f74, "copy_page" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x618911fc, "numa_node" },
	{ 0xecfed58f, "__free_pages" },
	{ 0x54dbd3bf, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaf7b1e0d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0xe493bfa2, "libcfs_kmem" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xc9dc0bb4, "ipv6_dev_get_saddr" },
	{ 0x59c847cd, "cpumask_of_node" },
	{ 0x3511f77a, "crypto_register_shash" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x28c4f0ee, "init_net" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa24605d9, "kernel_getpeername" },
	{ 0x97f9af37, "sk_skb_reason_drop" },
	{ 0xedf729e2, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x32a460e8, "down" },
	{ 0x679c673b, "kernel_getsockname" },
	{ 0xf0ad403e, "cpu_pattern" },
	{ 0x21af2a3c, "dev_get_by_index_rcu" },
	{ 0x3a25021e, "lnet_insert_debugfs" },
	{ 0xf791875b, "crypto_unregister_shash" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xabd3f043, "kmem_cache_free" },
	{ 0x3256669d, "set_cpus_allowed_ptr" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x8f9ba84c, "compat_vfree_atomic" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x891970c3, "lnet_debugfs_fini" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4f072a1d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x11089ac7, "_ctype" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4ccf3ac1, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb6d7fbb, "misc_register" },
	{ 0x19531cf0, "__alloc_pages" },
	{ 0x993b7227, "__init_work" },
	{ 0x731b701e, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x1ba13495, "__cpu_to_node" },
	{ 0xff213b, "crypto_ahash_digest" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x553d9bf8, "crypto_ahash_final" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3a4a5eb, "skb_trim" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d0601b0, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb6cb556a, "_find_first_and_bit" },
	{ 0xa231112d, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x33736a1d, "__genradix_ptr_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x76b31310, "kernel_listen" },
	{ 0xa390c242, "lnet_remove_debugfs" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd1650fa3, "sock_create_kern" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x454d31db, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3c1285bd, "libcfs_subsystem_debug" },
	{ 0xa9785b49, "cpu_core_map" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x8e69b224, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7bbccd05, "nr_node_ids" },
	{ 0x71f662a3, "libcfs_debug" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x722aa25c, "genl_unregister_family" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x445a4490, "kmalloc_trace" },
	{ 0x6ef80902, "cpu_npartitions" },
	{ 0xb4e2470e, "debugfs_doint" },
	{ 0xe48084e4, "dev_get_flags" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xd363b7e, "param_ops_int" },
	{ 0x3742874e, "param_get_int" },
	{ 0x349cba85, "strchr" },
	{ 0x94a2182, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x792e4d5f, "kernel_sendmsg" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeceac781, "cfs_fail_val" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaeeccedb, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4cc320d1, "kmem_cache_destroy" },
	{ 0xeb5173ca, "release_sock" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0x71baeb31, "module_layout" },
};

MODULE_INFO(depends, "libcfs");


MODULE_INFO(srcversion, "0B690AF2B8D8F1E2A181D2A");
MODULE_INFO(rhelversion, "9.6");
